Open Eval (v1)
OpenCloud v1 reference for Open Eval.
Base URL: https://apis.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
POST | /open-eval-api/v1/eval | postOpenEvalApiV1Eval |
GET | /open-eval-api/v1/eval-records/:jobId | getOpenEvalApiV1EvalRecordsJobId |
postOpenEvalApiV1Eval
Section titled “postOpenEvalApiV1Eval”POST /open-eval-api/v1/eval
BETA Performs the evaluation of the Lua script. Engine: Not available in-engine
Scopes: studio-evaluations:create
Usage
import { fetchApi } from 'rozod';import { postOpenEvalApiV1Eval } from 'rozod/lib/opencloud/v1/open-eval';
const data = await fetchApi(postOpenEvalApiV1Eval, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name | string | |
description | string | null | undefined | |
use_reference_mode | boolean | undefined | |
input_script | string | |
custom_llm_info | object | undefined | See below |
custom_llm_info fields:
| Field | Type | Description |
|---|---|---|
name | string | |
model_version | string | null | undefined | |
url | string | |
api_key | string | null | undefined |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
job_id | string | null | |
status_code | number | |
error | string | null |
getOpenEvalApiV1EvalRecordsJobId
Section titled “getOpenEvalApiV1EvalRecordsJobId”GET /open-eval-api/v1/eval-records/:jobId
BETA Gets the evaluation record by job ID. Engine: Not available in-engine
Scopes: studio-evaluations:create
Usage
import { fetchApi } from 'rozod';import { getOpenEvalApiV1EvalRecordsJobId } from 'rozod/lib/opencloud/v1/open-eval';
const data = await fetchApi(getOpenEvalApiV1EvalRecordsJobId, { jobId: /* string */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
jobId | string | Yes | The job ID of the evaluation record. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id | number | undefined | |
name | string | null | |
user | object | undefined | See below |
useReferenceMode | string | null | undefined | |
description | string | null | undefined | |
jobId | string | |
inputScript | string | null | |
jobStatus | string | null | undefined | |
results | object[] | null | undefined | See below |
fullLogs | string | null | undefined | |
evalSucceeded | string | null | undefined | |
createUtc | string | null | undefined |
user fields:
| Field | Type | Description |
|---|---|---|
id | string | null |
results[] item fields:
| Field | Type | Description |
|---|---|---|
mode | string | null | |
result | object | See below |
result fields:
| Field | Type | Description |
|---|---|---|
passes | number | |
fails | number | |
checks | number | |
warning | string | null | |
error | string | null | |
interruptions | object[] | null | See below |
interruptions[] item fields:
| Field | Type | Description |
|---|---|---|
check | number | |
type | string | null |